io.vertx.kafka.client.consumer

## Class OffsetAndTimestamp

- java.lang.Object
- - io.vertx.kafka.client.consumer.OffsetAndTimestamp

-     public class OffsetAndTimestamp
      extends Object

  Represent information related to a Offset with timestamp information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OffsetAndTimestamp()` Constructor
    `OffsetAndTimestamp(JsonObject json)` Constructor (from JSON representation)
    `OffsetAndTimestamp(long offset, long timestamp)` Constructor
    `OffsetAndTimestamp(OffsetAndTimestamp that)` Constructor (copy)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getOffset()`
    `long` | `getTimestamp()`
    `OffsetAndTimestamp` | `setOffset(long offset)` Set the offset
    `OffsetAndTimestamp` | `setTimestamp(long timestamp)` Set the timestamp
    `JsonObject` | `toJson()` Convert object to JSON representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OffsetAndTimestamp

          public OffsetAndTimestamp()

      Constructor

    - #### OffsetAndTimestamp

          public OffsetAndTimestamp(long offset,
                                    long timestamp)

      Constructor
      Parameters:
        `offset` - the offset
        `timestamp` - the timestamp

    - #### OffsetAndTimestamp

          public OffsetAndTimestamp(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

    - #### OffsetAndTimestamp

          public OffsetAndTimestamp(OffsetAndTimestamp that)

      Constructor (copy)
      Parameters:
        `that` - object to copy

  - ### Method Detail

    - #### getOffset

          public long getOffset()

      Returns:
        the offset

    - #### setOffset

          public OffsetAndTimestamp setOffset(long offset)

      Set the offset
      Parameters:
        `offset` - the offset
      Returns:
        current instance of the class to be fluent

    - #### getTimestamp

          public long getTimestamp()

      Returns:
        the timestamp

    - #### setTimestamp

          public OffsetAndTimestamp setTimestamp(long timestamp)

      Set the timestamp
      Parameters:
        `timestamp` - the timestamp
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 Eclipse. All rights reserved.